# Uses of Class
org.apache.sysds.parser.dml.DmlParser.FunctionStatementContext

Packages that use DmlParser.FunctionStatementContext
Package
Description
org.apache.sysds.parser.dml

## Uses of DmlParser.FunctionStatementContext in org.apache.sysds.parser.dml

Subclasses of DmlParser.FunctionStatementContext in org.apache.sysds.parser.dml
Modifier and Type
Class
Description
`static class`
`DmlParser.ExternalFunctionDefExpressionContext`
`static class`
`DmlParser.InternalFunctionDefExpressionContext`
Fields in org.apache.sysds.parser.dml declared as DmlParser.FunctionStatementContext
Modifier and Type
Field
Description
`DmlParser.FunctionStatementContext`
DmlParser.ProgramrootContext.`functionStatement`
Fields in org.apache.sysds.parser.dml with type parameters of type DmlParser.FunctionStatementContext
Modifier and Type
Field
Description
`List<DmlParser.FunctionStatementContext>`
DmlParser.ProgramrootContext.`functionBlocks`
Methods in org.apache.sysds.parser.dml that return DmlParser.FunctionStatementContext
Modifier and Type
Method
Description
`final DmlParser.FunctionStatementContext`
DmlParser.`functionStatement()`
`DmlParser.FunctionStatementContext`
DmlParser.ProgramrootContext.`functionStatement(int i)`
Methods in org.apache.sysds.parser.dml that return types with arguments of type DmlParser.FunctionStatementContext
Modifier and Type
Method
Description
`List<DmlParser.FunctionStatementContext>`
DmlParser.ProgramrootContext.`functionStatement()`
Methods in org.apache.sysds.parser.dml with parameters of type DmlParser.FunctionStatementContext
Modifier and Type
Method
Description
`void`
DmlParser.FunctionStatementContext.`copyFrom(DmlParser.FunctionStatementContext ctx)`
Constructors in org.apache.sysds.parser.dml with parameters of type DmlParser.FunctionStatementContext
Modifier
Constructor
Description
``
`ExternalFunctionDefExpressionContext(DmlParser.FunctionStatementContext ctx)`
``
`InternalFunctionDefExpressionContext(DmlParser.FunctionStatementContext ctx)`